Skip to main content
GET
/
collection
/
hierarchy
Get Collection Hierarchy
curl --request GET \
  --url https://api.catalogix.ai/v1/collection/hierarchy \
  --header 'Authorization: Bearer <token>'
{
  "status": {
    "code": 0,
    "message": "SUCCESS",
    "request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
  },
  "data": {
    "vendor": "69785f41c2c01fdb81c697b3",
    "association": [
      {
        "children": [
          {}
        ],
        "collectionId": "<string>",
        "collectionName": "<string>",
        "collectionUrl": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Pass the API token as a Bearer token in the Authorization header.

Headers

X-Request-Id
string

Optional trace ID

Query Parameters

store_uuid
string
required

Store identifier

Response

Collection hierarchy retrieved successfully

status
object
data
object